#include <LedControl.h>

int DIN = 12;
int CS =  11;
int CLK = 10;

const byte IMAGES[][8]= {
  {0x18,0x3c,0x7e,0xdb,0x99,0x18,0x18,0x18},
  {0x3c,0x5e,0xdb,0x99,0x18,0x18,0x18,0x00},
  {0x7e,0xdb,0x99,0x18,0x18,0x18,0x00,0x00},
  {0xdb,0x99,0x18,0x18,0x18,0x00,0x00,0x00},
  {0x99,0x18,0x18,0x18,0x00,0x00,0x00,0x00},
  {0x18,0x18,0x18,0x00,0x00,0x00,0x00,0x18},
  {0x18,0x18,0x00,0x00,0x00,0x00,0x18,0x3c},
  {0x18,0x00,0x00,0x00,0x00,0x18,0x3c,0x7e},
  {0x00,0x00,0x00,0x00,0x18,0x3c,0x7e,0xdb},
  {0x00,0x00,0x00,0x18,0x3c,0x7e,0xdb,0x99},
  {0x00,0x00,0x18,0x3c,0x7e,0xdb,0x99,0x18},
  {0x00,0x18,0x3c,0x7e,0xdb,0x99,0x18,0x18},
  {0x18,0x3c,0x7e,0xdb,0x99,0x18,0x18,0x18}
};

const int IMAGES_LEN = sizeof(IMAGES)/8;
LedControl display=LedControl(DIN,CLK,CS);

void setup() {
 display.shutdown(0,false);       //The MAX72XX is in power-saving mode on startup
 display.setIntensity(0,5);      // Set the brightness to maximum value
 display.clearDisplay(0);         // and clear the display
}

int i=0;
void loop() { 
  displayImage(IMAGES[i]);
  if(++i>=IMAGES_LEN) {
    i=0;
  }
  delay(50);
}

void displayImage(const byte* image) {
  for (int i=0; i<8;i++) {
     for (int j=0; j<8;j++) {
        display.setLed(0,i,j, bitRead(image[i],7-j)); 
     }
  }
}
